<!DOCTYPE html>
<html lang= "en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>{{ todo_list.name }}</title>
</head>
<body>
    <header>
        <nav></nav>
    </header>
    <main>
        <div>
            <h1>{{ todo_list.name }} Details</h1>
            <p><a href="{% url 'todo_list_update' todo_list.id %}">Edit</a></p>
            <p><a href="{% url 'todo_list_delete' todo_list.id %}">Delete</a></p>
            <h2>Tasks</h2>
            <table>
                <thead>
                    <tr>
                        <th>Task</th>
                        <th>Due Date</th>
                    </tr>
                </thead>
                <tbody>
                    {% for task in tasks %}
                    <tr>
                        <td>{{ task.task }}</td>
                        <td>{{ task.due_date|date:"F j, Y" }}</td>
                    {% endfor %}
                    </tr>
                </tbody>
            </table>
        </div>
    </main>
    <footer></footer>
</body>
</html>
